# Class SystemBrowser

java.lang.Object
uk.ac.starlink.table.gui.SystemBrowser

public class SystemBrowser extends Object
Uses the native system file dialogue to provide a TableLoader. This is a wrapper around `FileDialog`, which is in turn a thin wrapper around whatever the native platform uses for its default file browser. Looks ugly on my fvwm-based Linux desktop, but for Mac and MS users it may be much preferable to the java-coded alternatives.

An instance of this class retains state (current directory) between invocations of its sole method.

Since:
  23 Sept 2010
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SystemBrowser()`

## Method Summary

Modifier and Type
Method
Description
`static Icon`
`getSystemBrowserIcon()`
Returns an icon which represents system browsing.
`TableLoader`
`showLoadDialog(Component parent, String format)`
Returns a TableLoader based on the file selected by a user.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SystemBrowser

public SystemBrowser()

## Method Details

### showLoadDialog

public TableLoader showLoadDialog(Component parent, String format)
Returns a TableLoader based on the file selected by a user. If the user hits the Cancel button (or equivalent), null is returned.

Parameters:
  `parent` - parent component
  `format` - table load format

### getSystemBrowserIcon

public static Icon getSystemBrowserIcon()
Returns an icon which represents system browsing.

Returns:
  icon